<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMServiceFileView9Base from './emservice-file-view9-base.vue';

import view_form from '@widgets/emservice/file-form/file-form.vue';

/**
 * 服务商实体编辑视图（部件视图）<主信息>附件信息
 *
 * @export
 * @class EMServiceFileView9
 * @extends {EMServiceFileView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMServiceFileView9 extends EMServiceFileView9Base { }
</script>